<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');

require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

if (isset($_POST['update']))
{
	$check = array_map('trim', $_POST['check']);
	
	$arr_items_sort = array();
	foreach ($check as $id => $val) {
		if ($val == 1)
			$arr_items_sort[] = $id;
	}
	
	$ids_str = implode(',' , $arr_items_sort);

	$query = array(
		'UPDATE'	=> 'config',
		'SET'		=> 'conf_value=\''.$forum_db->escape($ids_str).'\'',
		'WHERE'		=> 'conf_name=\'o_pan_menu\''
	);
	$forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	// Regenerate the config cache
	if (!defined('FORUM_CACHE_FUNCTIONS_LOADED'))
		require FORUM_ROOT.'include/cache.php';

	generate_config_cache();

	// If changed sef - remove quick-jump cache
	if (!empty($forum_config['o_sef']) && !empty($form['sef']))
	{
		if ($forum_config['o_sef'] != $form['sef'])
		{
			clean_quickjump_cache();
		}
	}
	
	$message = 'Settings updated.';
	$forum_flash->add_info($message);
	
	redirect($forum_url['pan_menu_manager'], $message);
}

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_settings.php';

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Settings'], forum_link($forum_url['admin_settings_setup'])),
	'Menu'
);

define('FORUM_PAGE_SECTION', 'settings');
define('FORUM_PAGE', 'admin-pan-menu-manager');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();

?>
<style>
#sort1 .item-menu {
cursor: all-scroll;
padding: 2px 10px;
background: #84bce4;
border-radius: 4px;
display: inline-block;
font-weight: bold;
-webkit-transition-property: background;
-webkit-transition-duration: 0.5s;
-webkit-transition-timing-function: ease;
}
#sort1 .item-menu:hover {
background: #B3DBF2;
}
#sort1 .item-menu:active {
background: #ADFFA4;
}
</style>
	<div class="main-subhead">
		<h2 class="hn"><span>Settings of main menu items</span></h2>
	</div>

	<div class="main-content main-frm">
		
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo (forum_link($forum_url['pan_menu_manager'])) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_menu_manager']) ) ?>" />
			</div>

			<div class="ct-box">
				<p>Just drag the menu items as you like and save the settings. The results can be viewed on any other page. You can also disable and enable any menu items.</p>
			</div>

			<fieldset class="frm-group group1">

				<div id="sort1" class="mf-box ui-sortable">
				
<?php

$links456 = generate_navlinks();
$links456 .= '<li id="navlogin"><a href="'.forum_link($forum_url['login']).'">'.$lang_common['Login'].'</a></li>';
$links456 .= '<li id="navregister"><a href="'.forum_link($forum_url['register']).'">'.$lang_common['Register'].'</a></li>';

$patt_get_li2 = '|<li[^>]*?>(.*?)</li>|sei';
$patt_get_id2 = '/<li[^>]*?id=["\']?([^"\'\s>]+)["\']?[^>]*?>/is';
$patt_get_txt_a = "|<a[^>]+>(.+?)</a>|"; 

preg_match_all($patt_get_li2, $links456, $output_li);
preg_match_all($patt_get_id2, $links456, $output_id);
preg_match_all($patt_get_txt_a, $links456, $output_txt);

//Replacemrnt Key on Value of Input Nav Links
$arr_nav_links = array();
foreach ($output_id[1] as $id => $txt) {
	$arr_nav_links[$txt] = $output_txt[1][$id];
}

$o_pan_menu = explode(',', $forum_config['o_pan_menu']);
$arr_items_config = array();
if ($forum_config['o_pan_menu'] != '') {
	foreach ($o_pan_menu as $id) {
		$arr_items_config[$id] = 1;
	}
}

$arr_items_other = array();
foreach ($arr_nav_links as $id => $txt) {
	if (!in_array($id, $o_pan_menu))
		$arr_items_other[$id] = 0;
}

$arr_items_merge = array_merge($arr_items_config, $arr_items_other);

$i = 0;
foreach ($arr_items_merge as $id => $check)
{
	if ($forum_config['o_pan_menu'] == '')
		$checked = ' checked="checked"';
	else
		$checked = in_array($id, $o_pan_menu) ? ' checked="checked"' : '';
	
	echo '<div class="sf-set set'.$i.'">
			<div class="sf-box checkbox">
				<span class="fld-input">
					<input type="hidden" name="check['.$id.']" value="0">
					<input type="checkbox" name="check['.$id.']" value="1" '.$checked.'>
				</span>
				<span class="item-menu">'.strip_tags($arr_nav_links[$id]).'</span>
				<label for="fld'.$i.'"><span></span></label>
			</div>
		</div>';
}

$jquery_1_5 = '//ajax.googleapis.com/ajax/libs/jquery/1.5/jquery.min.js';
$jquery_ui = '//ajax.googleapis.com/ajax/libs/jqueryui/1.8/jquery-ui.min.js';
$jquery_ready = '$(document).ready(function(){ $("#sort1").sortable(); });';

$forum_loader->add_js($jquery_1_5, array('weight' => 80, 'async' => false, 'group' => FORUM_JS_GROUP_SYSTEM));
$forum_loader->add_js($jquery_ui, array('weight' => 81, 'async' => false, 'group' => FORUM_JS_GROUP_SYSTEM));
$forum_loader->add_js($jquery_ready, array('type' => 'inline', 'async' => false, 'group' => 100 , 'weight' => 82));
?>

				</div>

				<div class="frm-buttons">
					<span class="submit primary"><input type="submit" name="update" value="Update" /></span>
				</div>
			
			</fieldset>
			
		</form>
		
	</div>
	
<?php
$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';
